<?php

function rvm_get_cache_file_name()
{
  $dir = trigger_event('get_local_data_dir', dirname(__FILE__).'/../' );
  return $dir.'_rvgm_cat_cache.dat';
}

function rvm_invalidate_cache()
{
  @unlink(  rvm_get_cache_file_name() );
}

function rvm_load_language()
{
  global $lang;
  if ( isset($lang['Map'] ) )
    return;
  $fn = get_language_filepath('lang.php', dirname(__FILE__).'/../');
  if ($fn!==false)
    include_once($fn);
}

function rvm_items_have_latlon($items)
{
  $query = '
SELECT id FROM '.IMAGES_TABLE.'
WHERE lat IS NOT NULL
  AND id IN ('.implode(',', $items).')
ORDER BY NULL
LIMIT 0,1';
  if ( mysql_num_rows(pwg_query($query))> 0)
    return true;
  return false;
}

function rvm_make_map_picture_url($params)
{
/*  $map_url = "http://maps.google.com?t=h&amp;q=".$params['lat'].','.$params['lon'];
  $extras = '';
  if ( isset($params['name']) )
    $extras = $params['name'];
  elseif ( isset($params['file']) )
    $extras = str_replace('_', ' ', get_filename_wo_extension($params['file']) );
  if (strlen($extras))
    $map_url .= ' ('.$extras.')';
  return $map_url;*/
  global $conf;
  if ( empty($conf['gmaps_api_key']) )
    return "";
  $map_url = make_picture_url($params);
  return add_url_params($map_url, array('map'=>null) );
}

function rvm_duplicate_map_picture_url()
{
  global $conf;
  if ( empty($conf['gmaps_api_key']) )
    return "";
  $map_url = duplicate_picture_url();
  return add_url_params($map_url, array('map'=>null) );
}

function rvm_make_map_index_url($params=array())
{
  global $conf, $rvm_dir;
  if ( empty($conf['gmaps_api_key']) )
    return "";
  if ( file_exists(PHPWG_ROOT_PATH.'map.php') )
    $url = get_root_url().'map';
  else
    $url = get_root_url().'plugins/'.$rvm_dir.'/map';
  if ($conf['php_extension_in_urls'])
    $url .= '.php';
  if ($conf['question_mark_in_urls'])
    $url .= '?';
  $url .= make_section_in_url($params);
  $url = add_well_known_params_in_url($url, array_intersect_key($params, array('flat'=>1) ) );
  return $url;
}

function rvm_duplicate_map_index_url($redefined=array(), $removed=array())
{
  return rvm_make_map_index_url(
    params_for_duplication($redefined, $removed)
    );
}

function rvm_duplicate_kml_index_url($redefined=array(), $removed=array())
{
  return rvm_make_kml_index_url(
    params_for_duplication($redefined, $removed)
    );
}

function rvm_make_kml_index_url($params)
{
  global $conf, $rvm_dir;
  $url = get_root_url().'plugins/'.$rvm_dir.'/kml';
//  if ($conf['php_extension_in_urls'])
    $url .= '.php';
  if ($conf['question_mark_in_urls'])
    $url .= '?';

  $url .= make_section_in_url($params);
  unset( $params['start'] );
  if ( 'categories'!=$params['section']) unset( $params['flat'] );
  $url = add_well_known_params_in_url($url, $params);
  $get_params = array();
  if ( isset($params['box']) and !empty($params['box']) )
  {
    include_once( dirname(__FILE__).'/functions_map.php' );
    if ( ! bounds_is_world($params['box']) )
      $get_params['box'] = bounds_to_url($params['box']);
  }
  if ( isset($params['ll']) and !empty($params['ll']) )
    $get_params['ll'] = $params['ll']['lat'].','.$params['ll']['lon'];
  $url = add_url_params($url, $get_params );
  return $url;
}
?>